/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#ifndef KWBARVIEW_H
#define KWBARVIEW_H

#include <qwidget.h>
#include "qmeterbar.h"

/**
@author Peter Hess
*/
class kwBarView : public QWidget
{
Q_OBJECT
public:
    kwBarView(QWidget *parent = 0, const char *name = 0);
    ~kwBarView();
    void showBars(bool sb, bool nb, bool qb);
    void updateValues(int signal, int noise, int quality);
    void setBarColorsAndLevels(QColor lc, QColor mc, QColor hc, int ml, int hl);
    void setFontAndColor(const QString &font, const QColor &color);
private:
    QMeterBar *signalBar, *qualityBar, *noiseBar;
    bool noiseVisible, qualityVisible;
 };

#endif
