/***************************************************************************
 *   Copyright (C) 2003 by Peter Hess                                      *
 *   peter.hess@ph-home.de                                                 *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 ***************************************************************************/
#include "kwprofile.h"

#include <qstringlist.h>

kwProfile::kwProfile()
{
	name = "new profile";
	essid = "Any";
	nwid = "";
	nickname = "myNick";
	mode = "Managed";
	bitrate ="auto";
	sensity = -99;
	frequency = 2412;
	accesspoint = "any";
	security = false;
}

kwProfile::kwProfile(KConfig *kc)
{
    kwProfile();
    ksConfig = kc;
}

/*!
    \fn KWlanInfo::readProfiles()
 */
void kwProfile::readProfile()
{
	QStringList gl = ksConfig->groupList();
}

/*!
    \fn KWlanInfo::writeProfile(const char* name)
 */
void kwProfile::writeProfile()
{
	ksConfig->setGroup("profile_"+name);
	ksConfig->writeEntry("name",name);
	ksConfig->writeEntry("essid",essid);
	ksConfig->writeEntry("nwid",nwid);
	ksConfig->writeEntry("nickname",nickname);
	ksConfig->writeEntry("mode",mode);
	ksConfig->writeEntry("sensity",sensity);
	ksConfig->writeEntry("bitrate",bitrate);
	ksConfig->writeEntry("accesspoint",accesspoint);
	ksConfig->writeEntry("frequency",frequency);
	if (security) {
		ksConfig->writeEntry("security",secKeys);
		for (uint i = 0; i < secKeys->count(); i++ )
			ksConfig->writeEntry("key"+i,secKeys[i]);
	}
	ksConfig->sync();
}


kwProfile::~kwProfile()
{
}

